#%define	origver	1.79
#%define m17nver	m17n-19991117
#%define m17nver_	m17n_19991117
%define mver	1.79
%define date	19991117
%define ver	%{mver}_%{date}

Summary: Multilingualized nex/nvi text editors
Name: nvi-m17n
Version: %{ver}
Release: 3j1
Group: Applications/Editors
Copyright: distributable
Source: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{mver}.tar.gz
Patch0: ftp://ftp.foretune.co.jp/pub/tools/nvi-m17n/nvi-%{mver}.m17n-%{date}.diff.gz
Patch1: nvi-%{mver}.m17n-19990331.mkdir.patch
URL: http://www.itojun.org/itojun.j.html
Prefix: /usr
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
Multilingualized nex/nvi text editors

This package is splited in the following.
- %{name}		: common part, must be installed
- %{name}-canna	: binaries with support canna
- %{name}-nocanna	: binaries without support canna
One and only one of these binaries packages must be installed.


%package canna
Summary: Multilingualized nex/nvi text editors (canna version)
Group: Applications/Editors
#Requires: %{name} = %{version}

%description canna
This package includes the binaries with support canna.


%package nocanna
Summary: Multilingualized nex/nvi text editors (non canna version)
Group: Applications/Editors
#Requires: %{name} = %{version}

%description nocanna
This package includes the binaries without support canna.


%prep
%setup -q -n nvi-%{mver}
%patch0 -p1
%patch1 -p1

%build
OPTS="--prefix=%{prefix} --program-prefix=n --enable-multibyte=euc-jp --disable-curses"
cd build
./configure ${OPTS}
make
cd -

# build canna version
CANNA="--enable-canna --program-suffix=-canna"
if [ ! -d build.canna ]; then
	mkdir build.canna
fi
cd build.canna
../build/configure ${OPTS} ${CANNA}
make
cd -

%install
rm -rf ${RPM_BUILD_ROOT}
cd build
make prefix="${RPM_BUILD_ROOT}%{prefix}" install
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nex nex-nocanna)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nvi nvi-nocanna)
(cd ${RPM_BUILD_ROOT}%{prefix}/bin; mv nview nview-nocanna)
cd -

cd build.canna
make prefix="${RPM_BUILD_ROOT}%{prefix}" install
cd -

mkdir -p $RPM_BUILD_ROOT/var/preserve/vi.recover
chmod 777 $RPM_BUILD_ROOT/var/preserve/vi.recover

%clean
rm -rf ${RPM_BUILD_ROOT}

%post canna
ln -sf nex-canna /usr/bin/nex
ln -sf nvi-canna /usr/bin/nvi
ln -sf nview-canna /usr/bin/nview

%preun canna
if [ "$1" = 0 ]; then
	rm -rf /usr/bin/{nex,nvi,nview}
fi

%post nocanna
ln -sf nex-nocanna /usr/bin/nex
ln -sf nvi-nocanna /usr/bin/nvi
ln -sf nview-nocanna /usr/bin/nview

%preun nocanna
if [ "$1" = 0 ]; then
	rm -rf /usr/bin/{nex,nvi,nview}
fi

%files
%defattr(-, root, root)
%doc FAQ LAYOUT LICENSE README docs
%doc -P build/README* catalog/README cl/README.signal db/README
%doc -P ip/IP_INSTRUCTIONS regex/{COPYRIGHT,WHATSNEW}
%doc docs.m17n
%doc -P curses/README.m17n regex/README.m17n
%{prefix}/bin/qregular
%{prefix}/bin/regular
%{prefix}/man/man1/*.1*
%{prefix}/share/vi/
%dir /var/preserve/vi.recover

%files canna
%defattr(-, root, root)
%{prefix}/bin/*-canna

%files nocanna
%defattr(-, root, root)
%{prefix}/bin/*-nocanna

%changelog
* Thu Aug 24 2000 Satoru Sato <ssato@redhat.com>
- rename pkg-name (nvi-1.79-m17n -> nvi-m17n)
- remove japanese descriptions

* Fri Aug 04 2000 Satoru Sato <ssato@redhat.com>
- rebuild for new glibc

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- work with compressed man

* Mon Mar 27 2000 Chris Ding <cding@redhat.com>
- updated to m17n-19991117
- disabled curses
- added /var/preserve/vi.recover in %files

* Thu Oct  7 1999 Matt Wilson <msw@redhat.com>
- rebuilt against 6.1

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386
- "-" -> "_" in Version:

* Wed Aug 18 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
